#### 4.22.3.7 containsPositiveVector

`Syntax:`
  `containsPositiveVector(` cone c `)`
`Type:`
  int
`Purpose:`
  1 iff the cone contains a point with positive coordinates in its relative interior; 0 otherwise
`Example:`

      LIB"gfanlib.so";
      intmat M1[2][2]=
      1,1,
      1,-1;
      cone c1=coneViaPoints(M1);
      containsPositiveVector(c1);
      ==> 1
      intmat M2[2][2]=
      0,1,
      -1,0;
      cone c2=coneViaPoints(M2);
      containsPositiveVector(c2);
      ==> 0

User manual for Singular version 4-0-3, 2016, generated by texi2html.